Bug 122865 - Inconsistent versioning (letters in version)
Summary: Inconsistent versioning (letters in version)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cup   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-09 15:31 UTC by Leonard den Ottolander
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 09:12:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonard den Ottolander 2004-05-09 15:31:56 UTC
The use of a starting letter in the version of cup and cup-devel is
inconsistent with any other package in the distribution. This
exception is a pita when using scripts to sort rpms by version.

Could we please restrict letters in the version and release to be
positioned after one or more numbers?

Please change "cup-v10k-13" to "cup-10k-13".

Comment 1 Barry K. Nathan 2004-05-09 22:17:01 UTC
Actually, I think it should be changed to cup-0.10k-13. AFAICT, 0.10k
is the upstream version number.

Comment 2 Gary Benson 2004-05-10 10:55:19 UTC
Aside from the caveat that you shouldn't be using anything other than
rpm's sort routines for sorting rpm version numbers, I can't remember
why I left the "v" there and it's entirely possible that I was on
crack.  I'll fix it for FC3 (it's a little on the late side for FC2).

As Barry's point, well, I'm 90% sure that the "0." was not present a
year ago when I first made the cup packages, but I'll look into that too.

Comment 3 Gary Benson 2004-09-08 10:59:01 UTC
This will disappear when the JPackage-based packageset appears in FC3.


Note You need to log in before you can comment on or make changes to this bug.